# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(FileHandle.pm) perl(HTTP/Daemon.pm) perl(HTTP/Headers.pm) perl(HTTP/Response.pm) perl(HTTP/Status.pm) perl(Pipeline/Production.pm) perl(Pipeline/Segment.pm) perl(Pipeline/Segment/Tester.pm) perl(Test/More.pm) perl(URI.pm) perl(warnings/register.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-OpenFrame
Version:        3.05
Release:        alt1_21
Summary:        Framework for network enabled applications
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/OpenFrame/
Source0:        http://www.cpan.org/authors/id/R/RC/RCLAMP/OpenFrame-%{version}.tar.gz
Source1:        README.LICENSE
# rhbz#716174, submitted to upstream RT#69077
Patch0:         %{name}-3.05-Adapt-CGI-Cookie-construction-to-CGI-3.51.patch
BuildArch:      noarch
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Cookie.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Find/Rule.pm)
BuildRequires:  perl(File/Type.pm)
BuildRequires:  perl(HTTP/Request.pm)
BuildRequires:  perl(IO/Null.pm)
BuildRequires:  perl(Pipeline.pm)
BuildRequires:  perl(Test/Simple.pm)
Source44: import.info

%description
OpenFrame is a framework for network services serving to multiple media
channels - for instance, the web, WAP, and digital television. It is built
around the Pipeline API, and provides extra abstraction to make delivery of
a single application to multiple channels easier.

%prep
%setup -q -n OpenFrame-%{version}
%patch0 -p1 -b .cgi3.51
cp %{SOURCE1} .

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendor_privlib}/saofs.pl

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc CHANGES README saofs.pl
%doc README.LICENSE
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 3.05-alt1_21
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 3.05-alt1_20
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 3.05-alt1_18
- fc import

